

setTimeout(function () {
  $('.index-page .ship .f-brush-wrapper').addClass('go-away');
}, 6000);

//if screen portlait
if (window.innerHeight > window.innerWidth) {
  $('[data-show]').each(function () {
    showAt = $(this).attr('data-show');
    $('[data-show="' + showAt + '"]').removeClass('o-0').addClass('o-10');
  });
}
// main scroll listener
window.addEventListener("scroll", scrollFunctions);

// function library
function scrollFunctions() {

  // get general y scroll position
  ypos = Math.round(window.pageYOffset);

  // general data show/hide
  dataShow(ypos);

  // banner tag show again
  if (ypos > 100) {
    $('.index-page .ship .f-brush-wrapper').removeClass('go-away');
  }
  if (ypos < 100) {
    setTimeout(function () {
      $('.index-page .ship .f-brush-wrapper').addClass('go-away');
    }, 6000);
  }
  // main nav switcher
  if (window.innerWidth > 768) {
    if (ypos > 900) {
      $('.header-wrapper, .header-meta').addClass('scrolled');
      $('body').css('padding-top', '85px');
    } else {
      $('.header-wrapper, .header-meta').removeClass('scrolled');
      $('body').css('padding-top', '0');
    }
  }


  // post sidebar fixer
  if (ypos > 900) {
    $('.latest-news-widget').addClass('fixed');
  } else {
    $('.latest-news-widget').removeClass('fixed');
  }

  // shifting subnav on some pages
  if (ypos > 900) {
    $('.subnav').addClass('shifted');
  } else {
    $('.subnav').removeClass('shifted');
  }

}

function dataShow(ypos) {
  $('[data-show]').each(function () {
    showAt = $(this).attr('data-show');
    if (ypos > showAt) {
      $('[data-show="' + showAt + '"]').removeClass('o-0').addClass('o-10');
    } else {
      if ($(this).attr('data-hide') == '1') {
        $('[data-show="' + showAt + '"]').removeClass('o-10').addClass('o-0');
      }
    }
  });
}


jQuery(document).ready(function () {

  // same heights #1
  var ele_heights = [];
  $('.smheight').each(function () {
    var height = $(this).height();
    ele_heights.push(height);
  });
  var max_height = Math.max(...ele_heights);
  $('.smheight').height(max_height);

  // same heights #2
  var ele_heights = [];
  $('.smheight2').each(function () {
    var height = $(this).height();
    ele_heights.push(height);
  });
  var max_height = Math.max(...ele_heights);
  $('.smheight2').height(max_height);

  // default anchor 
  $('a[href="#"]').click(function (e) {
    e.preventDefault();
  });

  // Bootstrap 4 modal splash
  $('.splash').modal('show');

  // Bootstrap 4 tooltip
  $('[data-toggle="tooltip"]').tooltip();

  // Hamburger menu - burger king
  $('.nav-trigger .hamburger').click(function () {
    if ($(this).hasClass('is-active')) {
      $(this).removeClass('is-active');
      $('#mobile-menu').removeClass('opened').addClass('closed');
    } else {
      // menu opened
      $(this).addClass('is-active');
      $('#mobile-menu').removeClass('closed').addClass('opened');
    }
  });

  // offset anchoring - udang goreng
  $('a.offset-anchor').click(function (e) {
    e.preventDefault();

    var targetName = $(this).attr('data-target');
    var targetOffset = $(this).attr('data-offset');

    var targetElement = $('#' + targetName);
    var targetElementPosition = targetElement.offset();

    var anchorScrollLocation = parseInt(targetElementPosition.top) - parseInt(targetOffset);

    $('html,body').animate({
      scrollTop: anchorScrollLocation
    }, 100);

    console.log(targetName);
  });

  // product cat logic
  $('body.products .prod-cat').click(function () {
    $('.prod-cat').removeClass('active');
    $(this).addClass('active');
  });

  // sidebar toggle effect - nasi campur
  $('li a.active-toggle').click(function () {
    $(this).parents('.active-toggle-wrapper').find('li').removeClass('active');
    $(this).parent('li').addClass('active');
  });
  $('.recipe-diffculty a.active-toggle').click(function () {
    $('.recipe-type-sidebar').find('li').removeClass('active');
    $('.recipe-type-sidebar').find("a[data-filter='0']").parent('li').addClass('active');
  });
  $('.recipe-type-sidebar a.active-toggle').click(function () {
    $('.recipe-diffculty').find('li').removeClass('active');
    $('.recipe-diffculty').find("a[diffculty-filter='0']").parent('li').addClass('active');
  });
  $('.filter-1').click(function () {
    var filter = $(this).attr('data-filter');
    $('.filter-target').find(".recipe-index-item[data-filter]").removeClass('d-none');
    if (filter != 0) {
      $('.filter-target').find(".recipe-index-item:not([data-filter='" + filter + "'])").addClass('d-none');
    }
  });
  $('.filter-2').click(function () {
    var filter = $(this).attr('diffculty-filter');
    $('.filter-target').find(".recipe-index-item[diffculty-filter]").removeClass('d-none');
    if (filter != 0) {
      $('.filter-target').find(".recipe-index-item:not([diffculty-filter='" + filter + "'])").addClass('d-none');
    }
  });

  // news toggle 
  $('.news-toggle').click(function () {
    var news_type = $(this).attr('news-type');
    if (news_type != 0) {
      $('.sgg').addClass('d-none');
      $('.sgg[news-type="' + news_type + '"]').removeClass('d-none');
    } else {
      $('.sgg').removeClass('d-none');
    }
    $('.news-toggle').removeClass('active');
    $(this).addClass('active');
  });

  // subnav toggle & logics
  // forcefully set the width for tray minimizer
  if ($(window).width() < 1400) {
    var sbnav = $('.subnav');
    var sbnavw = Math.floor(sbnav.width());
    var sbnavwNew = sbnavw + 35;
    sbnav.css('left', '-' + sbnavwNew + 'px');
    var sbnavStyle = sbnav.attr('style');
    $('.tray-handle').click(function () {
      var parentCl = $(this).parents('.subnav');
      if (parentCl.hasClass('minimized')) {
        // tray minimized, need to be opened
        parentCl.removeClass('minimized').removeAttr('style');

      } else {
        // tray opened, need to be minimized 
        parentCl.addClass('minimized').attr('style', sbnavStyle);
      }
    });
  }





  // funfacts
  $('#about_carousel').carousel({
    interval: 5000,
  });

  $('.karaisland p a.next').click(function (e) {
    e.preventDefault();
    $(this).parent('p').animate({
      left: '-100px',
      opacity: '0',
    }, 100);
    $(this).parent('p').next().animate({
      left: '0px',
      opacity: '1',
    }, 100);
  });

  $('.karaisland p a.prev').click(function (e) {
    e.preventDefault();
    $(this).parent('p').animate({
      left: '300px',
      opacity: '0',
    }, 100);
    $(this).parent('p').prev().animate({
      left: '0px',
      opacity: '1',
    }, 100);
  });

  // slick
  $('.slick').slick();

});